Devuan bug report logs - #432
lightm: orca is silent as "couldn't register with accessibility bus"

version graph

Package: lightdm; Maintainer for lightdm is Ben Stack <bgstack15@gmail.com>;

Reported by: Gregory Nowak <greg@gregn.net>

Date: Sat, 3 Jun 2017 02:48:01 UTC

Severity: normal

Tags: jessie

Fixed in version 1.26.0-7+devuan1

Done: B Stack <bgstack15@gmail.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Daniel Reurich <daniel@centurion.net.nz>:
bug#99; Package devuan-installer. (full text, mbox, link).


Acknowledgement sent to Gregory Nowak <greg@gregn.net>:
New bug report received and forwarded. Copy sent to Daniel Reurich <daniel@centurion.net.nz>.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

(full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Gregory Nowak <greg@gregn.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: devuan-installer: the installed devuan system is not fully accessible
Date: Fri, 02 Jun 2017 19:36:22 -0700
Package: devuan-installer
Severity: important

Dear Maintainer,
this is a migration of:
<https://git.devuan.org/devuan-infrastructure/Installer_Feedback/issues/3>

When the option to install with speech synthesis is chosen by pressing s and enter at the boot prompt, the resulting installed system isn't fully accessible if
the user chose to install using the default devuan desktop environment. Specifically, because the default session manager is slim, the orca screen reader doesn't
activate at the GUI login screen. This is true on both i386, and amd64.

Installing lightdm and lightdm-gtk-greeter is still a useable option in jessie, but I understand that will not be the case in the future. The only other solution in this
+case for now is for the user to run startx by hand to get a GUI console. Another option is to login without speech using slim, once a sighted person has described the login screen, and the blind user has a routine worked out which key strokes to enter, and when in that routine to type in the user name and password. This solution is not ideal, since it requires assistance initially.


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 1.0 (jessie)
Release:	1.0
Codename:	jessie
Architecture: x86_64

Kernel: Linux 3.16.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)


Tags added: jessie Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#99; Package devuan-installer. (Fri, 17 Jan 2020 13:03:14 GMT) (full text, mbox, link).


Message #10 received at 99@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 99@bugs.devuan.org
Subject: Re: devuan-installer: the installed devuan system is not fully accessible
Date: Fri, 17 Jan 2020 12:51:46 +0000
Gregory,

We are preparing the release of beowulf. This is an important issue as far as
I am concerned.

You said you thought lightdm would not still be an option in the future. It certainly
is in beowulf.

Is this still an unresolved issue?

Thanks.

Mark



Information forwarded to devuan-bugs@lists.dyne.org, Ralph Ronnquist <ralph.ronnquist@gmail.com>:
bug#99; Package devuan-installer. (Wed, 25 Mar 2020 23:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Gregory Nowak <greg@gregn.net>:
Extra info received and forwarded to list. Copy sent to Ralph Ronnquist <ralph.ronnquist@gmail.com>. (Wed, 25 Mar 2020 23:03:05 GMT) (full text, mbox, link).


Message #15 received at 99@bugs.devuan.org (full text, mbox, reply):

From: Gregory Nowak <greg@gregn.net>
To: 99@bugs.devuan.org
Subject: Re: bug#99: Acknowledgement (devuan-installer: the installed devuan system is not fully accessible)
Date: Wed, 25 Mar 2020 15:49:16 -0700
Here's an update on Beowulf. Thanks first of all for bringing back the
PC speaker beep for the boot menu in the Beowulf netinst iso.

I thought lightdm wouldn't be a long term option, since in the
original gitlab discussion this bug was migrated from centurian Dan
had indicated that lightdm wouldn't be a long term option. I'm glad to
see that lightdm is still available in Beowulf. I'm also glad to see
the mate desktop in Beowulf is installed with lightdm and
lightdm-gtk-greeter by default. That's the good news, now for the bad
news.

1. There are problems when attempting to do a Beowulf install with
speech in a VirtualBox guest. On one of my machines, the guest crashed
totally. I don't know what was on the screen, the guest just became
unresponsive to attempted keyboard input when I started the install
with speech using the "s" option from the boot menu, and after I
attempted to set speakup volume and rate. On another guest, only the
software speech died, and I was still able to activate a hardware
synthesizer, and do the install that way. The good news is that this
seems to be a problem in debian as well:

<http://linux-speakup.org/pipermail/speakup/2020-March/062176.html>

So, this should be resolved once it is fixed upstream. There is a
patch which might fix this being backported to the 4.19.x kernels:

<http://linux-speakup.org/pipermail/speakup/2020-March/062166.html>

2. The other issue is still with lightdm, and this is a two part
issue. The first part is that after a fresh Beowulf install, orca
doesn't speak at the login screen. It seems that orca has trouble
initializing. I don't have access to the machine where I did the
install, so I'll reply again with the log file. On my regular install,
which is a minimal Ascii install upgraded to Beowulf, orca does in
fact talk at the login screen. I'm still trying to track down why it
works on my upgraded regular install, but doesn't work on a fresh
one. Like I said, I'll reply again with a log file when I have access
to that machine in a few hours.

The second problem with orca not speaking is after loging in through
lightdm a "couldn't register with accessibility bus" message appears
in $HOME/.xsession-errors. This means that orca also can't register
with the accessibility bus, so there is no speech in the GUI. When
running startx by hand, orca does in fact come up, and works just
fine. I started a thread to try to work out a solution to the problem
at:

<https://lists.dyne.org/lurker/message/20200325.043908.484afc83.en.html>

That's all for now. I'm glad to see that progress is being made with
accessibility in Beowulf. I'll be back with the orca not starting in
lightdm log
file I mentioned earlier.


Information forwarded to devuan-bugs@lists.dyne.org, Ralph Ronnquist <ralph.ronnquist@gmail.com>:
bug#99; Package devuan-installer. (Thu, 26 Mar 2020 04:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Gregory Nowak <greg@gregn.net>:
Extra info received and forwarded to list. Copy sent to Ralph Ronnquist <ralph.ronnquist@gmail.com>. (Thu, 26 Mar 2020 04:03:04 GMT) (full text, mbox, link).


Message #20 received at 99@bugs.devuan.org (full text, mbox, reply):

From: Gregory Nowak <greg@gregn.net>
To: 99@bugs.devuan.org
Subject: Re: bug#99: Acknowledgement (devuan-installer: the installed devuan system is not fully accessible)
Date: Wed, 25 Mar 2020 20:49:23 -0700
I'm updating this bug as promised. I'm leaving out the promised log
file though, since I figured out a solution to the first issue, and
Mark provided the solution to the second lightdm issue in the dng
thread I linked to previously.

1. The first issue was that orca didn't speak on the lightdm login
   screen on a fresh install, but does speak on my regular install
   which is Ascii upgraded to Beowulf. In the fresh install, on a
   hunch, I ran:

apt-get purge lightdm lightdm-gtk-greeter

That removed lightdm, lightdm-gtk-greeter, and task-mate-desktop. It
also brought in some xterm packages. I than ran:

apt-get install lightdm lightdm-gtk-greeter task-mate-desktop

which installed those three packages, and removed the xterm packages
which were installed when I purged the lightdm packages earlier.

I than rebooted, and got speech from orca at the login screen. I won't
pretend to know why purging the lightdm packages and installing them
again works. Oh, I almost forgot. In order for orca to speak at the
lightdm login screen, the user lightdm needs to be added to the audio
group, which it isn't on a fresh install right now.

2. The other issue is that after logging in from lightdm, orca didn't
   come up, and couldn't connect to accessibility bus errors were
   logged. The solution Mark pointed to is to set

xserver-share=false

in /etc/lightdm/lightdm.conf. I think that does it for the lightdm
issues.

Bug 99 cloned as bug 432 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Mon, 27 Apr 2020 13:33:01 GMT) (full text, mbox, link).


bug reassigned from package 'devuan-installer' to 'lightdm'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Mon, 27 Apr 2020 13:33:01 GMT) (full text, mbox, link).


Changed bug title to 'lightm: orca is silent as "couldn't register with accessibility bus"' from 'devuan-installer: the installed devuan system is not fully accessible'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Mon, 27 Apr 2020 13:33:01 GMT) (full text, mbox, link).


Reply sent to B Stack <bgstack15@gmail.com>:
You have taken responsibility. (Thu, 30 Apr 2020 20:48:02 GMT) (full text, mbox, link).


Notification sent to Gregory Nowak <greg@gregn.net>:
bug acknowledged by developer. (Thu, 30 Apr 2020 20:48:08 GMT) (full text, mbox, link).


Message #31 received at 432-close@bugs.devuan.org (full text, mbox, reply):

From: B Stack <bgstack15@gmail.com>
To: 432-close@bugs.devuan.org
Subject: Re: bug#432: resolution
Date: Thu, 30 Apr 2020 16:28:40 -0400
[Message part 1 (text/plain, inline)]
Version: 1.26.0-7+devuan1
The /etc/lightdm/lightdm.conf file now includes xserver-share=false by
default. Additionally, added "session optional pam_elogind.so" to pam
lightdm-greeter file to enable the power buttons in the greeter.

B. Stack
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Oct 21 21:54:26 2020;